# vue-gic-member-group


> A Vue.js vue-gic-member-group Plugin


## Install
```shell
npm install @gic-test/vue-gic-member-group -S
```

## how to use
```
// main.js
import vueGicMemberGroup from '@gic-test/vue-gic-member-group'

Vue.use(vueGicMemberGroup)

// 使用页面

<vue-gic-member-group
  :defaltSelected="defaltSelected"
  :height='height'
  :projectName="projectName"
  @handleDataTransferred="handleDataTransferred"
  @handleDataLeft="handleDataLeft">
</vue-gic-member-group>

data() {
  return {
    // 可传参数
    defaltSelected: [], //  默认穿梭窗已选入数据
    height： 200, // 穿梭窗高度， 默认是543
    projectName： 'memberTag' // 默认是memberTag
  }
}

methods: {
  /**
   * 选择分组后子组件触发的事件
   */

  /**
   * selectedData 穿梭窗已选入数据
   * selectionToTransfer 本次选择的数据
  */
  handleDataTransferred(data) {
    const that = this
  },

  /**
   * selectedData 剔除后剩下的数据
   * selectionToRemove 剔除的数据
  */
  handleDataLeft(selectedData, selectionToRemove) {
    
  }
},
```

